Skip to main content
PATCH
/
api
/
v1
/
runtime
/
agents
/
{id}
/
deploy
Deploy agent with code changes
curl --request PATCH \
  --url https://api.runflow.ai/api/v1/runtime/agents/{id}/deploy \
  --header 'Content-Type: application/json' \
  --data '
{
  "repo": "my-repo",
  "message": "<string>",
  "tree": [
    {
      "path": "caminho/arquivo.txt",
      "mode": "100644",
      "type": "blob",
      "content": "Conteúdo do arquivo"
    }
  ],
  "branch": "main",
  "authorName": "Danrley Silva",
  "authorEmail": "danrley@example.com"
}
'
import requests

url = "https://api.runflow.ai/api/v1/runtime/agents/{id}/deploy"

payload = {
"repo": "my-repo",
"message": "<string>",
"tree": [
{
"path": "caminho/arquivo.txt",
"mode": "100644",
"type": "blob",
"content": "Conteúdo do arquivo"
}
],
"branch": "main",
"authorName": "Danrley Silva",
"authorEmail": "danrley@example.com"
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
repo: 'my-repo',
message: '<string>',
tree: [
{
path: 'caminho/arquivo.txt',
mode: '100644',
type: 'blob',
content: 'Conteúdo do arquivo'
}
],
branch: 'main',
authorName: 'Danrley Silva',
authorEmail: 'danrley@example.com'
})
};

fetch('https://api.runflow.ai/api/v1/runtime/agents/{id}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Path Parameters

id
string
required

Agent UUID

Body

application/json
repo
string
required

The name of the repository

Example:

"my-repo"

message
string
required

The message of the commit

tree
object[]
required

The tree of the commit

Example:
[
{
"path": "caminho/arquivo.txt",
"mode": "100644",
"type": "blob",
"content": "Conteúdo do arquivo"
}
]
branch
string
required

The branch of the commit

Example:

"main"

authorName
string

Git commit author name (from local git config)

Example:

"Danrley Silva"

authorEmail
string

Git commit author email (from local git config)

Example:

"danrley@example.com"

environment
enum<string>

Target environment for deploy. If not provided, defaults to production (backward compat with old CLI).

Available options:
staging,
production

Response

200

Agent deployed successfully.